Subject: Re: [Bitcoin-development] New P2P commands for diagnostics, SPV clients

From: Mike Hearn <[email-masked]>
Date: Sat, 16 Jun 2012 10:27:09 +0200

> I'd much rather have an overloaded node respond with 50% fp rate filters
> as an option if there aren't many full nodes available than simply
> disconnect SPV clients.

I don't think the bloom filter settings have any impact on server-side
load ... a node still has to check every transaction against the
filter regardless of how that filter is configured, which means the
same amount of disk io and processing.

How can you reduce load on a peer by negotiating different filter settings?